GET api/Users/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
User| Name | Description | Type | Additional information |
|---|---|---|---|
| userId | globally unique identifier |
None. |
|
| username | string |
None. |
|
| password | string |
None. |
|
| string |
None. |
||
| phone | string |
None. |
|
| roleTypeId | integer |
None. |
|
| customerId | globally unique identifier |
None. |
|
| createdDate | date |
None. |
|
| pilotId | globally unique identifier |
None. |
|
| viewTasksFromAnyDateForPilot | boolean |
None. |
|
| Customer | Customer |
None. |
|
| Pilot | Pilot |
None. |
|
| RoleType | RoleType |
None. |
Response Formats
application/json, text/json
Sample:
{
"userId": "717c3909-e247-4b7a-8343-cce2bd7636fc",
"username": "sample string 2",
"password": "sample string 3",
"email": "sample string 4",
"phone": "sample string 5",
"roleTypeId": 6,
"customerId": "4be9d07b-5638-4b14-9752-a1dda148bc08",
"createdDate": "2026-03-20T18:40:22.9540654+00:00",
"pilotId": "f20fe6ab-0357-4af1-a0af-ebcb8596179c",
"viewTasksFromAnyDateForPilot": true,
"Customer": {
"customerId": "9c0a4cda-8b8a-4c92-9925-ca84a442ee2c",
"name": "sample string 2",
"phone": "sample string 3",
"email": "sample string 4",
"dateCreated": "2026-03-20T18:40:22.9540654+00:00"
},
"Pilot": {
"pilotId": "63b2217e-98e3-42e8-8f52-59a1ae951b7d",
"name": "sample string 2",
"pilotTypeId": "8282f534-a8cf-4341-9582-a8191a75b547",
"phone": "sample string 4",
"isLicenseGimel": true,
"isLicenseRT": true,
"createdDate": "2026-03-20T18:40:22.9540654+00:00",
"PilotType": {
"pilotTypeId": "40b45888-fbad-4bd2-8b8b-e6e6680221b6",
"name": "sample string 2"
}
},
"RoleType": {
"roleTypeId": 1,
"name": "sample string 2",
"createdDate": "2026-03-20T18:40:22.9540654+00:00"
}
}
text/html
Sample:
{"userId":"717c3909-e247-4b7a-8343-cce2bd7636fc","username":"sample string 2","password":"sample string 3","email":"sample string 4","phone":"sample string 5","roleTypeId":6,"customerId":"4be9d07b-5638-4b14-9752-a1dda148bc08","createdDate":"2026-03-20T18:40:22.9540654+00:00","pilotId":"f20fe6ab-0357-4af1-a0af-ebcb8596179c","viewTasksFromAnyDateForPilot":true,"Customer":{"customerId":"9c0a4cda-8b8a-4c92-9925-ca84a442ee2c","name":"sample string 2","phone":"sample string 3","email":"sample string 4","dateCreated":"2026-03-20T18:40:22.9540654+00:00"},"Pilot":{"pilotId":"63b2217e-98e3-42e8-8f52-59a1ae951b7d","name":"sample string 2","pilotTypeId":"8282f534-a8cf-4341-9582-a8191a75b547","phone":"sample string 4","isLicenseGimel":true,"isLicenseRT":true,"createdDate":"2026-03-20T18:40:22.9540654+00:00","PilotType":{"pilotTypeId":"40b45888-fbad-4bd2-8b8b-e6e6680221b6","name":"sample string 2"}},"RoleType":{"roleTypeId":1,"name":"sample string 2","createdDate":"2026-03-20T18:40:22.9540654+00:00"}}